xgboost

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
xgboost::GenericParameter Struct Reference

`#include <generic_parameters.h>`

Inheritance diagram for xgboost::GenericParameter:
Collaboration diagram for xgboost::GenericParameter:

## Public Member Functions
void | CheckDeprecated ()
void | ConfigureGpuId (bool require_gpu)
| Configure the parameter `gpu_id'. More...
| DMLC_DECLARE_PARAMETER (GenericParameter)
Public Member Functions inherited from xgboost::XGBoostParameter< GenericParameter >
Args | UpdateAllowUnknown (Container const &kwargs, bool *out_changed=nullptr)
bool | GetInitialised () const

## Public Attributes
int | seed
bool | seed_per_iteration
int | nthread
int | gpu_id
size_t | gpu_page_size
bool | enable_experimental_json_serialization {false}
bool | validate_parameters {false}

## Static Public Attributes
static int32_t constexpr | kCpuId = -1

## Additional Inherited Members
Protected Attributes inherited from xgboost::XGBoostParameter< GenericParameter >
bool | initialised_

## Member Function Documentation

## ◆ CheckDeprecated()

void xgboost::GenericParameter::CheckDeprecated | ( |  | ) |
| inline

## ◆ ConfigureGpuId()

void xgboost::GenericParameter::ConfigureGpuId | ( | bool | require_gpu | ) |

Configure the parameter `gpu_id'.

Parameters

  require_gpu | Whether GPU is explicitly required from user.

## ◆ DMLC_DECLARE_PARAMETER()

xgboost::GenericParameter::DMLC_DECLARE_PARAMETER | ( | GenericParameter |  | ) |
| inline

## Member Data Documentation

## ◆ enable_experimental_json_serialization

bool xgboost::GenericParameter::enable_experimental_json_serialization {false}

## ◆ gpu_id

int xgboost::GenericParameter::gpu_id

## ◆ gpu_page_size

size_t xgboost::GenericParameter::gpu_page_size

## ◆ kCpuId

int32_t constexpr xgboost::GenericParameter::kCpuId = -1
| static

## ◆ nthread

int xgboost::GenericParameter::nthread

## ◆ seed

int xgboost::GenericParameter::seed

## ◆ seed_per_iteration

bool xgboost::GenericParameter::seed_per_iteration

## ◆ validate_parameters

bool xgboost::GenericParameter::validate_parameters {false}

The documentation for this struct was generated from the following file:

- /workspace/include/xgboost/generic_parameters.h